#!/bin/bash

if [[ $1 == "" ]]; then
  echo "No device specified. Exiting..."
  exit 1
fi

adb -s $1 push busybox /data/local/tmp/incidebox
adb -s $1 shell ln -s /data/local/tmp/incidebox /data/local/tmp/dd
adb -s $1 shell ln -s /data/local/tmp/incidebox /data/local/tmp/gzip
adb -s $1 shell ln -s /data/local/tmp/incidebox /data/local/tmp/nc
adb -s $1 shell ln -s /data/local/tmp/incidebox /data/local/tmp/id
adb -s $1 shell ln -s /data/local/tmp/incidebox /data/local/tmp/stat
